Subject: Re: [PATCH v2 0/7] making log --first-parent imply -m

From: Sergey Organov <[email-masked]>
Date: Wed, 05 Aug 2020 00:58:03 +0300

Jeff King <[email-masked]> writes:

> On Tue, Aug 04, 2020 at 08:50:16PM +0300, Sergey Organov wrote:

[...]

>
>> +		} else {
>> +			die("--diff-merges: unknown value '%s'.", optarg);
>> +		}
>
> A few nits:

I missed this the first time, sorry!

>
>   - we usually don't have a period at the end of our error messages

Oops, I got the dot from

  die("--unpacked=<packfile> no longer supported.");

in the same file. Will fix.

>   - this should probably be marked for translation, i.e.,
>     die(_("translated message"), optarg)

OK, will do.

>
>   - I think other similar messages are more like:
>
>       unknown value for --diff-merges: %s

Thanks, I'll change wording to this one.

-- Sergey